import { EditorView } from "@codemirror/view";
import { ThemeName } from "../extensions/appearance";
declare type BaseEditorParams = {
    domElement: Element;
};
export declare abstract class BaseEditor {
    private domElement;
    protected abstract view: EditorView;
    constructor(params: BaseEditorParams);
    get state(): import("@codemirror/state").EditorState;
    setDimensions: () => void;
    setTheme: (theme?: ThemeName | undefined) => void;
    setReadOnly: (readOnly: boolean) => void;
    forceUpdate: (code?: string) => void;
    destroy: () => void;
}
export {};
